<!-- -*- encoding: utf-8 -*- -->

Dither pattern sample
=====================

2022/07/22

Arbitrary-palette positional dithering algorithm
https://bisqwit.iki.fi/story/howto/dither/jy/


Request
-------

nothings/stb: stb single-file public domain libraries for C/C++
https://github.com/nothings/stb


Environment
-----------

* Windows10 x64 21H2
* MSYS2
* MinGW64
* gcc 12.1.0
* GNU Make 4.3


Build
-----

```sh
make
```

Usage
-----

```sh
./yodither1.exe --help
./yodither1.exe -i INPUT.png -o OUTPUT.png
./yodither1.exe -i INPUT.png -o OUTPUT.png -d 4
./yodither1.exe -i INPUT.png -o OUTPUT.png -d 4 -p db32.gpl
./yodither1.exe -i INPUT.png -o OUTPUT.png -d 4 -p db32.png

./yodither4.exe --help
./yodither4.exe -i INPUT.png -o OUTPUT.png
./yodither4.exe -i INPUT.png -o OUTPUT.png -d 8
./yodither4.exe -i INPUT.png -o OUTPUT.png -d 8 -p db32.gpl
./yodither4.exe -i INPUT.png -o OUTPUT.png -d 8 -p db32.png
```

